> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Duplicate Blast

> Return the configuration of an existing blast for duplication.



## OpenAPI

````yaml post /comms/blasts/{blast_id}/duplicate
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/blasts/{blast_id}/duplicate:
    post:
      tags:
        - Message Blasts
      summary: Duplicate Blast
      description: Return the configuration of an existing blast for duplication.
      operationId: duplicate_blast_comms_blasts__blast_id__duplicate_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: blast_id
          in: path
          required: true
          schema:
            type: string
            title: Blast Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlastDuplicateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BlastDuplicateResponse:
      properties:
        channel:
          $ref: '#/components/schemas/BlastChannel'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        cohortIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cohortids
        smsContent:
          anyOf:
            - type: string
            - type: 'null'
          title: Smscontent
        emailSubject:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailsubject
        emailBodyHtml:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailbodyhtml
        emailBodyText:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailbodytext
        emailPreviewText:
          anyOf:
            - type: string
            - type: 'null'
          title: Emailpreviewtext
        fromName:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Fromname
        attachments:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Attachments
        isMarketing:
          type: boolean
          title: Ismarketing
          default: false
        skipNotOptedIn:
          type: boolean
          title: Skipnotoptedin
          default: true
      type: object
      required:
        - channel
      title: BlastDuplicateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BlastChannel:
      type: string
      enum:
        - SMS
        - EMAIL
      title: BlastChannel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````